# .\SPStartWorkflow.ps1 -siteurl url -nwlogin domain\username -nwpassword password -nwworkflow "workflowname" -list "listname" -itemid id

Param(
    [parameter(Mandatory=$true)]
    [alias("siteurl")]
    $url,
    [parameter(Mandatory=$true)]
    [alias("nwlogin")]
    $login,
    [alias("nwpassword")]
    $password,
    [alias("nwworkflow")]
    $workflowname,
    [alias("list")]
    $listname,
    [alias("itemid")]
    $listitemid)

try
{
  Start-SPAssignment -global;

  $web = Get-SPWeb $url;
  $site = $web.Site;
  $workflowManager = $site.WorkFlowManager;
  $list = $web.Lists[$listname];
  $item = $list.GetItemById($listitemid);

  $association=$list.WorkFlowAssociations | where {$_.Name -eq $workflowname};
  $data=$association.AssociationData;
 
  echo 'Starting workflow...';

  $wf=$workflowManager.StartWorkFlow($item,$association,$data);

  echo 'Workflow started...';

  Stop-SPAssignment -global;
			
}
catch
{
  echo $_;
}